#
# spec file for package netcdf-fortran
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global flavor gnu-mpich-hpc%{nil}

%define _do_check 1

%global pname netcdf-fortran
%global ver 4.5.3
%global _ver 4_5_3

%if 0%{?sle_version} >= 150200
%define DisOMPI1 ExclusiveArch:  do_not_build
%endif
%if !0%{?is_opensuse} && 0%{?sle_version:1}
 %if 0%{?sle_version} < 150200
  %define DisOMPI3 ExclusiveArch:  do_not_build
 %endif
 %if 0%{?sle_version} < 150300
  %define DisOMPI4 ExclusiveArch:  do_not_build
 %endif
%endif

%if "%flavor" == ""
ExclusiveArch:  do_not_build
%define package_name %pname
%define compiler_family gnu
%endif

ExcludeArch:    s390 s390x

%{bcond_with staticlibs}

%if "%flavor" == "gnu-hpc"
%global compiler_family gnu
%{bcond_with mpi}
%endif

%if "%flavor" == "gnu-openmpi-hpc"
%{?DisOMPI1}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 1
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu-openmpi2-hpc"
%{?DisOMPI2}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 2
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu-openmpi3-hpc"
%{?DisOMPI3}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 3
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu-openmpi4-hpc"
%{?DisOMPI4}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 4
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu-mvapich2-hpc"
%global compiler_family gnu
%global mpi_flavor mvapich2
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu-mpich-hpc"
%global compiler_family gnu
%global mpi_flavor mpich
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu7-hpc"
%global compiler_family gnu
%{bcond_with mpi}
%global c_f_ver 7
%endif

%if "%flavor" == "gnu7-openmpi-hpc"
%{?DisOMPI1}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 1
%global c_f_ver 7
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu7-openmpi2-hpc"
%{?DisOMPI2}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 2
%global c_f_ver 7
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu7-openmpi3-hpc"
%{?DisOMPI3}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 3
%global c_f_ver 7
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu7-openmpi4-hpc"
%{?DisOMPI4}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 4
%global c_f_ver 7
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu7-mvapich2-hpc"
%global compiler_family gnu
%global mpi_flavor mvapich2
%global c_f_ver 7
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu7-mpich-hpc"
%global compiler_family gnu
%global mpi_flavor mpich
%global c_f_ver 7
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu8-hpc"
%global compiler_family gnu
%{bcond_with mpi}
%global c_f_ver 8
%endif

%if "%flavor" == "gnu8-openmpi-hpc"
%{?DisOMPI1}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 1
%global c_f_ver 8
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu8-openmpi2-hpc"
%{?DisOMPI2}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 2
%global c_f_ver 8
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu8-openmpi3-hpc"
%{?DisOMPI3}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 3
%global c_f_ver 8
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu8-openmpi4-hpc"
%{?DisOMPI4}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 4
%global c_f_ver 8
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu8-mvapich2-hpc"
%global compiler_family gnu
%global mpi_flavor mvapich2
%global c_f_ver 8
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu8-mpich-hpc"
%global compiler_family gnu
%global mpi_flavor mpich
%global c_f_ver 8
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu9-hpc"
%global compiler_family gnu
%{bcond_with mpi}
%global c_f_ver 9
%endif

%if "%flavor" == "gnu9-openmpi-hpc"
%{?DisOMPI1}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 1
%global c_f_ver 9
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu9-openmpi2-hpc"
%{?DisOMPI2}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 2
%global c_f_ver 9
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu9-openmpi3-hpc"
%{?DisOMPI3}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 3
%global c_f_ver 9
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu9-openmpi4-hpc"
%{?DisOMPI4}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 4
%global c_f_ver 9
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu9-mvapich2-hpc"
%global compiler_family gnu
%global mpi_flavor mvapich2
%global c_f_ver 9
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu9-mpich-hpc"
%global compiler_family gnu
%global mpi_flavor mpich
%global c_f_ver 9
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu10-hpc"
%global compiler_family gnu
%{bcond_with mpi}
%global c_f_ver 10
%endif

%if "%flavor" == "gnu10-openmpi-hpc"
%{?DisOMPI1}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 1
%global c_f_ver 10
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu10-openmpi2-hpc"
%{?DisOMPI2}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 2
%global c_f_ver 10
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu10-openmpi3-hpc"
%{?DisOMPI3}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 3
%global c_f_ver 10
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu10-openmpi4-hpc"
%{?DisOMPI4}
%global compiler_family gnu
%global mpi_flavor openmpi
%global mpi_ver 4
%global c_f_ver 10
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu10-mvapich2-hpc"
%global compiler_family gnu
%global mpi_flavor mvapich2
%global c_f_ver 10
%{bcond_without mpi}
%endif

%if "%flavor" == "gnu10-mpich-hpc"
%global compiler_family gnu
%global mpi_flavor mpich
%global c_f_ver 10
%{bcond_without mpi}
%endif

%define limit_cores(c:) %{?_smp_mflags: %(a=1;
              b=$(sed -se "s/.*-j[[:space:]]*\\([[:digit:]]\\+\\).*/\\1/" <<< %_smp_mflags);
              [ $b -le $a ] || b=$a ;
              sed -se "s/\\(.*-j[[:space:]]*\\)[[:digit:]]\\+\\(.*\\)/\\1$b/" <<< %_smp_mflags )}

%define hpc_upcase_trans_hyph() %(echo %{**} | tr [a-z] [A-Z] | tr '-' '_')

%{?hpc_init:%{hpc_init -c %compiler_family %{?c_f_ver:-v %{c_f_ver}} %{?with_mpi:-m %mpi_flavor %{?mpi_ver:-V %mpi_ver}}}}
%{!?hpc_package_name_tail:%define hpc_package_name_tail %{nil}}

%if 0%{!?package_name:1}
%define package_name %{hpc_package_name %_ver}
%endif

Name:           %package_name
%define libname libnetcdf-fortran
Summary:        Command-line programs for the NetCDF scientific data format
License:        NetCDF
Group:          Productivity/Scientific/Other
Version:        %ver
Release:        150300.4.2.1
%define sonum   7
URL:            https://www.unidata.ucar.edu/software/netcdf/
Source:         https://github.com/Unidata/netcdf-fortran/archive/v%{version}.tar.gz#/%{pname}-%{version}.tar.gz
BuildRequires:  %{compiler_family}%{?c_f_ver}-compilers-hpc-macros-devel
BuildRequires:  %{compiler_family}-compilers-hpc
BuildRequires:  gawk
BuildRequires:  libcurl-devel >= 7.18.0
BuildRequires:  lua-lmod
BuildRequires:  m4
BuildRequires:  pkg-config
BuildRequires:  suse-hpc
BuildRequires:  zlib-devel >= 1.2.5
%if %{with mpi}
BuildRequires:  %{mpi_flavor}%{?mpi_ver}-%{compiler_family}%{?c_f_ver}-hpc-macros-devel
%endif
BuildRequires:  hdf5-%{compiler_family}%{?c_f_ver}%{?with_mpi:-%{mpi_flavor}%{?mpi_ver}}-hpc-devel
BuildRequires:  netcdf-%{compiler_family}%{?c_f_ver}%{?with_mpi:-%{mpi_flavor}%{?mpi_ver}}-hpc-devel >= 4.7.4
Requires:       %{libname}%{hpc_package_name_tail %_ver} = %{version}

%description
NetCDF is a set of software libraries and self-describing, 
machine-independent data formats that support the creation, access,
and sharing of array-oriented scientific data.

%if %{without mpi}
This package contains utility functions for working with NetCDF files.
%else
This package contains the %{mpi_flavor} version of utility functions for
working with NetCDF files.
%endif

%{hpc_master_package}

%package -n     %{libname}%{hpc_package_name_tail %_ver}
Summary:        Shared libraries for the NetCDF scientific data format
Group:          System/Libraries
%{?hpc_requires}
%{requires_eq libnetcdf-%{compiler_family}%{?c_f_ver}%{?with_mpi:-%{mpi_flavor}%{?mpi_ver}}-hpc}

%description -n %{libname}%{hpc_package_name_tail %_ver}
NetCDF is a set of software libraries and self-describing, 
machine-independent data formats that support the creation, access,
and sharing of array-oriented scientific data.

NetCDF (network Common Data Form) is an interface for array-oriented
data access and a collection of software libraries
for C, Fortran, C++, and Perl that provides an implementation of the
interface. The NetCDF library also defines a machine-independent
format for representing scientific data. Together, the interface,
library, and format support the creation, access, and sharing of
scientific data.

NetCDF data is:
   - Self-Describing: A NetCDF file includes information about the
     data it contains.
   - Network-transparent:  A NetCDF file is represented in a form that
     can be accessed by computers with different ways of storing
     integers, characters, and floating-point numbers.
   - Direct-access:  A small subset of a large dataset may be accessed
     efficiently, without first reading through all the preceding
     data.
   - Appendable:  Data can be appended to a NetCDF dataset along one
     dimension without copying the dataset or redefining its
     structure. The structure of a NetCDF dataset can be changed,
     though this sometimes causes the dataset to be copied.
   - Sharable:  One writer and multiple readers may simultaneously
     access the same NetCDF file.

This package contains all files needed to create projects that use
%{?mpi_flavor:the %mpi_flavor version of} NetCDF.

%{hpc_master_package -l -L -n %{libname}%{hpc_package_name_tail}}

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/Parallel
Requires:       %{libname}%{hpc_package_name_tail %_ver} = %{version}
Requires:       libcurl-devel >= 7.18.0
Requires:       pkgconfig
Requires:       zlib-devel >= 1.2.5
%{?hpc_requires_devel}
%{requires_eq netcdf-%{compiler_family}%{?c_f_ver}%{?with_mpi:-%{mpi_flavor}%{?mpi_ver}}-hpc-devel}

%description devel
NetCDF is a set of software libraries and self-describing, 
machine-independent data formats that support the creation, access,
and sharing of array-oriented scientific data.

This package contains all files needed to create projects that use
%{?mpi_flavor:the %mpi_flavor version of} NetCDF.

%{hpc_master_package devel}

%package devel-static
Summary:        Static development files for %{name}
Group:          Development/Libraries/Parallel
Requires:       %{name}-devel = %{version}
#Requires:       hdf-devel
%{requires_eq hdf5-%{compiler_family}%{?c_f_ver}%{?with_mpi:-%{mpi_flavor}%{?mpi_ver}}-hpc-devel}
Requires:       libcurl-devel >= 7.18.0
Requires:       zlib-devel >= 1.2.5

%description devel-static
NetCDF is a set of software libraries and self-describing, 
machine-independent data formats that support the creation, access,
and sharing of array-oriented scientific data.

This package contains the static libraries for 
%{?mpi_flavor:the %mpi_flavor version of} NetCDF.

%prep
%setup -q -n %{pname}-%{version}

# Fix spurious-executable-perm RPMLINT warning
chmod a-x RELEASE_NOTES.md

%build
%{?_lto_cflags: %global _lto_cflags %{?_lto_cflags} -ffat-lto-objects}
%{?with_staticlibs:%{?_smp_mflags:%global _smp_mflags %{limit_cores -c 8}}}
%{hpc_setup}
module load netcdf
export CFLAGS="%{optflags} -I $NETCDF_INC -L$NETCDF_LIB -lnetcdf -L$HDF5_LIB -lhdf5"
export FCFLAGS="%{optflags} -std=legacy"
export FFLAGS=$FCFLAGS
export CPPFLAGS=$CFLAGS
export LDFLAGS="-L$NETCDF_LIB -lnetcdf -L$HDF5_LIB -lhdf5"

%if %{with mpi}
export CC="mpicc"
export FC="mpif90"
export F77="mpif77"
%endif
%hpc_configure \
    --enable-shared \
    --with-pic \
    --disable-doxygen \
%if %{with staticlibs}
    --enable-static
%else
    --disable-static
%endif

make %{?_smp_mflags}

%install
%{hpc_setup}
module load netcdf
export CFLAGS="%{optflags} -I $NETCDF_INC -L$NETCDF_LIB -lnetcdf -L$HDF5_LIB -lhdf5"
export FCFLAGS="%{optflags}"
export CPPFLAGS=$CFLAGS
export LDFLAGS="-L$NETCDF_LIB -lnetcdf -L$HDF5_LIB -lhdf5"
%if %{with mpi}
export CC="mpicc"
export FC="mpif90"
export F77="mpif77"
%endif

make install DESTDIR="%{buildroot}"

rm -f %{buildroot}%{hpc_libdir}/*.la

mv %{buildroot}%{hpc_bindir}/nf-config %{buildroot}%{hpc_bindir}/nf-fortran-config

%hpc_write_modules_files
#%%Module1.0#####################################################################

proc ModulesHelp { } {

puts stderr " "
puts stderr "This module loads the NetCDF Fortran API built with the %{compiler_family} compiler toolchain."
puts stderr " "
puts stderr "Note that this build of NetCDF leverages the HDF I/O library and requires linkage"
puts stderr "against hdf5 and the native C NetCDF library. Consequently, phdf5 and the standard C"
puts stderr "version of NetCDF are loaded automatically via this module. A typical compilation"
puts stderr "example for Fortran applications requiring NetCDF is as follows:"
puts stderr " "
puts stderr "\\\$FC  -I\\\$NETCDF_FORTRAN_INC app.f90 -L\\\$NETCDF_FORTRAN_LIB -lnetcdff -L\\\$NETCDF_LIB -lnetcdf -L\\\$HDF5_LIB -lhdf5"

puts stderr "\nVersion %{version}\n"

}
module-whatis "Name: %{hpc_upcase %pname} built with %{compiler_family} toolchain %{mpi_flavor: and %{mpi_flavor}}"
module-whatis "Version: %{version}"
module-whatis "Category: runtime library"
module-whatis "Description: %{SUMMARY:0}"
module-whatis "%{url}"

# Require generic netcdf

if [ expr [ module-info mode load ] || [module-info mode display ] ] {
    if {  ![is-loaded netcdf]  } {
        module load netcdf
    }
}

set             version             %{version}

prepend-path    PATH                %{hpc_bindir}
prepend-path    MANPATH             %{hpc_mandir}
prepend-path    LD_LIBRARY_PATH     %{hpc_libdir}

setenv          %{hpc_upcase_trans_hyph %pname}_DIR        %{hpc_prefix}
if {[file isdirectory  %{hpc_bindir}]} {
setenv          %{hpc_upcase_trans_hyph %pname}_BIN        %{hpc_bindir}
}
if {[file isdirectory  %{hpc_includedir}]} {
prepend-path    LIBRARY_PATH        %{hpc_libdir}
prepend-path    CPATH               %{hpc_includedir}
prepend-path    C_INCLUDE_PATH      %{hpc_includedir}
prepend-path    CPLUS_INCLUDE_PATH  %{hpc_includedir}
prepend-path    INCLUDE                         %{hpc_includedir}
%hpc_modulefile_add_pkgconfig_path

setenv          %{hpc_upcase_trans_hyph %pname}_LIB        %{hpc_libdir}
setenv          %{hpc_upcase_trans_hyph %pname}_INC        %{hpc_includedir}
}
EOF

%if %_do_check
%check
%{hpc_setup}
    module load netcdf
export CFLAGS="-I $NETCDF_INC -L$NETCDF_LIB -lnetcdf -L$HDF5_LIB -lhdf5"
export CPPFLAGS=$CFLAGS
export LDFLAGS="-L$NETCDF_LIB -lnetcdf -L$HDF5_LIB -lhdf5"
%if 0%{with mpi}
export CC="mpicc"
export FC="mpif90"
export F77="mpif77"
%endif
    make check
%endif

%post -n %{libname}%{hpc_package_name_tail %_ver}
/sbin/ldconfig -N %{hpc_libdir}

%postun -n %{libname}%{hpc_package_name_tail %_ver} 
/sbin/ldconfig -N %{hpc_libdir}
%hpc_module_delete_if_default

%files
%doc COPYRIGHT README.md RELEASE_NOTES.md
%{hpc_bindir}/

%files -n %{libname}%{hpc_package_name_tail %_ver}
%{hpc_dirs}
%{hpc_modules_files}
%{hpc_libdir}/libnetcdff.so.*

%files devel
%{hpc_includedir}/
%dir %{hpc_pkgconfigdir}
%{hpc_libdir}/pkgconfig/netcdf-fortran.pc
%{hpc_libdir}/*.so
%dir %{hpc_datadir}
%dir %{hpc_mandir}
%{hpc_mandir}/man3/
%{hpc_libdir}/libnetcdff.settings

%if %{with staticlibs}
%files devel-static
%{hpc_libdir}/libnetcdff.a
%endif

%changelog
* Wed Feb  3 2021 eich@suse.com
- Change 'Requires:' to other HPC packages to %%requires_eq to depend
  on the exact version. This should take care of HPC packages ignoring
  proper ABI versioning.
* Fri Nov  6 2020 aguerrero@suse.com
- Update to version 4.5.3, read changes at:
  * https://github.com/Unidata/netcdf-fortran/releases/tag/v4.5.3
  * Add a new libnetcdff.settings file
- Requires at least netcdf 4.7.4, update Requires accordingly.
* Mon Sep 14 2020 eich@suse.com
- Make static build conditional.
  The race due to libtool not allowing to handle f90 .mod files
  when building static and dynamic versions of this library requires
  to disable static builds by default.
* Thu Jul 23 2020 eich@suse.com
- Add build support for gcc10 to HPC build (bsc#1174439).
- Add build support for openmpi4.
- Limit the numbers of parallel build to kludge around a race
  condition due to libtool not being able to handle Fortran .mod
  file creation and dependencies properly.
- Make sure, optimization flags are also passed to the Fortran
  compiler.
- Remove not used options to configure.
- Add -ffat-lto-objects for static build.
- limit number of parallel jobs as libtool generated builds are
  racy when .mod files have to be generated.
- Increasing memory constrains to make sure tests don't fail.
* Mon Jul 20 2020 eich@suse.com
- Add OpenMPI4 support (disabled < 15.3)
* Mon Jul 20 2020 eich@suse.com
- The convention is to use the module name 'pnetcdf' for
  Parallel-NetCDF (called PnetCDF now). Revert part of the
  changes in previous commit to conform to this standard.
- Fix ldconfig args for HPC packages: no caching should be done
  as these libs are made available thru LD_LIBRARY_PATH tweaking.
* Wed Jul 15 2020 eich@suse.com
- Add serial HPC build flavor (boo#1174177).
  For loading serial module, run 'module load netcdf-fortran'
  for an MPI variant use 'module load pnetcdf-fortran'.
- Fixed bug in module file.
* Wed Jul  1 2020 eich@suse.com
- Gfortran from gcc-10 requires -std=legacy to build the Fortran
  code in netcdf-fortran (bsc#1173598).
* Sat Mar 28 2020 eich@suse.com
- Enable mvapich2 build (boo#1167948).
* Fri Nov 29 2019 eich@suse.com
- Add support for gcc8 and gcc9 (jsc#SLE-7766 & jsc#SLE-8604).
* Thu Nov 28 2019 eich@suse.com
- Disable openmpi1 builds for SLE/Leap > 15.1.
- Enable openmpi3 builds for Leap and SLE > 15.1 (jsc#SLE-7773).
* Thu Nov 28 2019 eich@suse.com
- Add constraints for disk and memory, this will hopefully fix
  build issues with 15.2 (bsc#1157973).
* Tue Oct  1 2019 aguerrero@suse.com
- Update to version 4.5.2, read changes at:
  * https://github.com/Unidata/netcdf-fortran/releases/tag/v4.5.2
  * https://github.com/Unidata/netcdf-fortran/releases/tag/v4.5.1
  * https://github.com/Unidata/netcdf-fortran/releases/tag/v4.5.0
- Remove patch, merged upstream
  * netcdf4-Return-status-for-non-void-function-always.patch
- Add new BuildRequires on m4
- Spec file cleanup
* Mon Aug 26 2019 aguerrero@suse.com
- Update to version 4.4.5, (jsc#SLE-8496), see changes at:
  * https://github.com/Unidata/netcdf-fortran/releases/tag/v4.4.5
  * https://www.unidata.ucar.edu/blogs/news/entry/netcdf-fortran-4-4-4
- Update Source to rename the tarball with the format $name-$version
- Set BuildRequires on netcdf to 4.6.2 or higher, this is required for
  this version to build
- Refresh patch
  * netcdf4-Return-status-for-non-void-function-always.patch
* Mon Apr 30 2018 eich@suse.com
- (Temporarily) disable fpr S390* as a check test for netcdf fails
  currently on BE (bsc#1091474).
* Tue Mar 27 2018 eich@suse.com
- Fix hdf5 devel package dependency of static HPC library package
  to pull in the HPC variant (boo#1087090).
* Fri Feb  9 2018 eich@suse.com
- Add support for openmpi2 for HPC (FATE#325089).
* Fri Feb  9 2018 eich@suse.com
- Fix summary in module files (bnc#1080259).
* Fri Jan 26 2018 eich@suse.com
- Fix the module load command for netcdf to reflect the change
  to 'pnetcdf' for MPI versions following (boo#1075933).
* Fri Jan 12 2018 eich@suse.com
- Disable the openmpi3 flavor in some products.
* Fri Jan  5 2018 eich@suse.com
- Switch from gcc6 to gcc7 as additional compiler flavor for HPC on SLES.
- Add support for mpich and openmpi3 for HPC.
* Wed Nov 15 2017 eich@suse.com
- Fix typo in modules file which made help less useful.
* Tue Nov 14 2017 eich@suse.com
- Fix modules file: only use %%hpc_bindir if it really exists
- Translate '-' to '_' for env-variable.
* Fri Nov 10 2017 eich@suse.com
- Add Requires: for the netcdf library/devel package to the
  netcdf-fortran library/devel package for HPC.
* Wed Oct 25 2017 eich@suse.com
- Fix Requires for the main package.
* Wed Oct 25 2017 eich@suse.com
- Removed a bugs dependency that was copy-and-pasted.
* Mon Oct 23 2017 eich@suse.com
- Fix buildrequires for compiler_families where c_f_ver is set.
* Sat Sep  9 2017 eich@suse.com
- netcdf4-Return-status-for-non-void-function-always.patch:
  Make sure non-void function always has a good return value.
* Sun Oct 23 2016 eich@suse.com
- Initial creation of netcdf-fortran v4.4.4
  (FATE#321719).
